<?php

namespace YahnisElsts\AdminMenuEditor\ProCustomizable\Controls;

use YahnisElsts\AdminMenuEditor\Customizable\Controls\Control;
use YahnisElsts\AdminMenuEditor\Customizable\HtmlHelper;
use YahnisElsts\AdminMenuEditor\Customizable\Rendering\Renderer;
use YahnisElsts\AdminMenuEditor\WireDSL\EvaluationContext;

class HorizontalSeparator extends Control {
	protected $koComponentName = 'ame-horizontal-separator';

	public function __construct($params = []) {
		parent::__construct([], $params);
	}

	public function renderContent(Renderer $renderer, EvaluationContext $context) {
		echo HtmlHelper::tag(
			'div',
			['class' => 'ame-horizontal-separator'],
			''
		);
	}
}